End users
Export an end user's data
GET
/end-users/{userId}/exportNeedsanalytics.exportEverything stored about one of your users (the id your app passes to Cueston.identify()) as a JSON file — for data access requests. 60 an hour per workspace.
Authorization
secretKeyheader
AuthorizationBearer <sk_…>A secret API key from Settings → API keys. It acts with its creator's role.
Path Parameters
userId*stringYour app's user id, URL-encoded.
Query Parameters
anonymousId?array<string>Also include these browsers' anonymous ids (repeat the parameter, at most 20).
Response Body
JSON attachment
application/json- response
format*unknownexportedAt*stringFormat
date-timeworkspace*endUser*tables*data*counts*Shell
curl -X GET 'https://app.cueston.com/api/end-users/string/export'Example Response
JSON
{
"format": "cueston.end-user-export.v1",
"exportedAt": "2026-10-26T09:30:00Z",
"workspace": {
"id": 42,
"name": "Acme"
},
"endUser": {
"userId": "user-123",
"anonymousIds": [
"string"
],
"reference": "string"
},
"tables": {
"property1": {
"table": "string",
"description": "string"
},
"property2": {
"table": "string",
"description": "string"
}
},
"data": {
"property1": [
{}
],
"property2": [
{}
]
},
"counts": {
"property1": 0,
"property2": 0
}
}